Rapid7 Vulnerability & Exploit Database

Amazon Linux AMI: Security patch for augeas (ALAS-2014-286) (CVE-2013-6412)

Back to Search

Amazon Linux AMI: Security patch for augeas (ALAS-2014-286) (CVE-2013-6412)

Severity
5
CVSS
(AV:L/AC:L/Au:N/C:P/I:P/A:P)
Published
01/22/2014
Created
07/25/2018
Added
02/28/2014
Modified
07/04/2017

Description

The transform_save function in transform.c in Augeas 1.0.0 through 1.1.0 does not properly calculate the permission values when the umask contains a "7," which causes world-writable permissions to be used for new files and allows local users to modify the files via unspecified vectors.

Solution(s)

  • amazon-linux-upgrade-augeas
  • amazon-linux-upgrade-augeas-debuginfo
  • amazon-linux-upgrade-augeas-devel
  • amazon-linux-upgrade-augeas-libs

References

  • amazon-linux-upgrade-augeas
  • amazon-linux-upgrade-augeas-debuginfo
  • amazon-linux-upgrade-augeas-devel
  • amazon-linux-upgrade-augeas-libs

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;